Bug 185111 - cad/salome : deprecate
Summary: cad/salome : deprecate
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rene Ladan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-22 22:50 UTC by Rene Ladan
Modified: 2014-01-06 12:30 UTC (History)
0 users

See Also:


Attachments
file.diff (4.29 KB, patch)
2013-12-22 22:50 UTC, Rene Ladan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rene Ladan freebsd_committer 2013-12-22 22:50:00 UTC
cad/salome and all subports depend on cad/salome-kernel, which expired on 2013-12-22 because it has been marked BROKEN for more than six months.

cad/salome also has the peculiar property that it depends on a *maximum* version number of lang/gcc44, and if I'm not mistaken the version in the ports tree is already too new.

Fix: Mark all salome ports as deprecated and schedule them for removal on 2014-01-22


Patch attached with submission follows:
How-To-Repeat: Tools/scripts/rmport cad/salome-kernel
Comment 1 Edwin Groothuis freebsd_committer 2013-12-22 22:50:14 UTC
Maintainer of cad/salome,

Please note that PR ports/185111 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/185111

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-12-22 22:50:15 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Rene Ladan freebsd_committer 2013-12-23 11:16:37 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rene

Track
Comment 4 dfilter service freebsd_committer 2014-01-06 12:21:42 UTC
Author: rene
Date: Mon Jan  6 12:21:33 2014
New Revision: 338868
URL: http://svnweb.freebsd.org/changeset/ports/338868

Log:
  Deprecate and schedule for removal on 2014-01-22, depends on expired
  cad/salome-kernel.
  
  PR:		ports/185111
  Submitted by:	rene
  Approved by:	maintainer timeout (devel@stasyan.com , 14 days)

Modified:
  head/cad/salome-gui/Makefile
  head/cad/salome-jobmanager/Makefile
  head/cad/salome-light/Makefile
  head/cad/salome-med/Makefile
  head/cad/salome-multipr/Makefile
  head/cad/salome-netgenplugin/Makefile
  head/cad/salome-randomizer/Makefile
  head/cad/salome-sierpinsky/Makefile
  head/cad/salome-smesh/Makefile
  head/cad/salome-visu/Makefile
  head/cad/salome/Makefile

Modified: head/cad/salome-gui/Makefile
==============================================================================
--- head/cad/salome-gui/Makefile	Mon Jan  6 12:18:47 2014	(r338867)
+++ head/cad/salome-gui/Makefile	Mon Jan  6 12:21:33 2014	(r338868)
@@ -4,6 +4,9 @@
 PORTREVISION=	6
 CATEGORIES=	cad science
 
+DEPRECATED=	depends on expired cad/salome-kernel
+EXPIRATION_DATE=2014-01-22
+
 MASTERDIR=	${.CURDIR}/../salome
 
 PORTNAME=	salome

Modified: head/cad/salome-jobmanager/Makefile
==============================================================================
--- head/cad/salome-jobmanager/Makefile	Mon Jan  6 12:18:47 2014	(r338867)
+++ head/cad/salome-jobmanager/Makefile	Mon Jan  6 12:21:33 2014	(r338868)
@@ -4,6 +4,9 @@
 PORTREVISION=	6
 CATEGORIES=	cad science
 
+DEPRECATED=	depends on expired cad/salome-kernel
+EXPIRATION_DATE=2014-01-22
+
 MASTERDIR=	${.CURDIR}/../salome
 
 PORTNAME=	salome

Modified: head/cad/salome-light/Makefile
==============================================================================
--- head/cad/salome-light/Makefile	Mon Jan  6 12:18:47 2014	(r338867)
+++ head/cad/salome-light/Makefile	Mon Jan  6 12:21:33 2014	(r338868)
@@ -4,6 +4,9 @@
 PORTREVISION=	6
 CATEGORIES=	cad science
 
+DEPRECATED=	depends on expired cad/salome-kernel
+EXPIRATION_DATE=2014-01-22
+
 MASTERDIR=	${.CURDIR}/../salome
 
 PORTNAME=	salome

Modified: head/cad/salome-med/Makefile
==============================================================================
--- head/cad/salome-med/Makefile	Mon Jan  6 12:18:47 2014	(r338867)
+++ head/cad/salome-med/Makefile	Mon Jan  6 12:21:33 2014	(r338868)
@@ -4,6 +4,9 @@
 PORTREVISION=	7
 CATEGORIES=	cad science
 
+DEPRECATED=	depends on expired cad/salome-kernel
+EXPIRATION_DATE=2014-01-22
+
 MASTERDIR=	${.CURDIR}/../salome
 
 BROKEN=		Fails to fetch

Modified: head/cad/salome-multipr/Makefile
==============================================================================
--- head/cad/salome-multipr/Makefile	Mon Jan  6 12:18:47 2014	(r338867)
+++ head/cad/salome-multipr/Makefile	Mon Jan  6 12:21:33 2014	(r338868)
@@ -4,6 +4,9 @@
 PORTREVISION=	7
 CATEGORIES=	cad science
 
+DEPRECATED=	depends on expired cad/salome-kernel
+EXPIRATION_DATE=2014-01-22
+
 MASTERDIR=	${.CURDIR}/../salome
 
 PORTNAME=	salome

Modified: head/cad/salome-netgenplugin/Makefile
==============================================================================
--- head/cad/salome-netgenplugin/Makefile	Mon Jan  6 12:18:47 2014	(r338867)
+++ head/cad/salome-netgenplugin/Makefile	Mon Jan  6 12:21:33 2014	(r338868)
@@ -6,6 +6,9 @@ CATEGORIES=	cad science
 
 MASTERDIR=	${.CURDIR}/../salome
 
+DEPRECATED=	depends on expired cad/salome-geom
+EXPIRATION_DATE=2014-01-22
+
 PORTNAME=	salome
 PKGNAMESUFFIX=	-netgenplugin
 SAL_MODULE_UPPER=	NETGENPLUGIN

Modified: head/cad/salome-randomizer/Makefile
==============================================================================
--- head/cad/salome-randomizer/Makefile	Mon Jan  6 12:18:47 2014	(r338867)
+++ head/cad/salome-randomizer/Makefile	Mon Jan  6 12:21:33 2014	(r338868)
@@ -4,6 +4,9 @@
 PORTREVISION=	4
 CATEGORIES=	cad science
 
+DEPRECATED=	depends on expired cad/salome-kernel
+EXPIRATION_DATE=2014-01-22
+
 MASTERDIR=	${.CURDIR}/../salome
 
 PORTNAME=	salome

Modified: head/cad/salome-sierpinsky/Makefile
==============================================================================
--- head/cad/salome-sierpinsky/Makefile	Mon Jan  6 12:18:47 2014	(r338867)
+++ head/cad/salome-sierpinsky/Makefile	Mon Jan  6 12:21:33 2014	(r338868)
@@ -4,6 +4,9 @@
 PORTREVISION=	7
 CATEGORIES=	cad science
 
+DEPRECATED=	depends on expired cad/salome-kernel
+EXPIRATION_DATE=2014-01-22
+
 MASTERDIR=	${.CURDIR}/../salome
 
 PORTNAME=	salome

Modified: head/cad/salome-smesh/Makefile
==============================================================================
--- head/cad/salome-smesh/Makefile	Mon Jan  6 12:18:47 2014	(r338867)
+++ head/cad/salome-smesh/Makefile	Mon Jan  6 12:21:33 2014	(r338868)
@@ -6,6 +6,9 @@ CATEGORIES=	cad science
 
 MASTERDIR=	${.CURDIR}/../salome
 
+DEPRECATED=	depends on expired cad/salome-geom
+EXPIRATION_DATE=2014-01-22
+
 PORTNAME=	salome
 PKGNAMESUFFIX=	-smesh
 SAL_MODULE_UPPER=	SMESH

Modified: head/cad/salome-visu/Makefile
==============================================================================
--- head/cad/salome-visu/Makefile	Mon Jan  6 12:18:47 2014	(r338867)
+++ head/cad/salome-visu/Makefile	Mon Jan  6 12:21:33 2014	(r338868)
@@ -4,6 +4,9 @@
 PORTREVISION=	7
 CATEGORIES=	cad science
 
+DEPRECATED=	depends on expired cad/salome-kernel
+EXPIRATION_DATE=2014-01-22
+
 MASTERDIR=	${.CURDIR}/../salome
 
 PORTNAME=	salome

Modified: head/cad/salome/Makefile
==============================================================================
--- head/cad/salome/Makefile	Mon Jan  6 12:18:47 2014	(r338867)
+++ head/cad/salome/Makefile	Mon Jan  6 12:21:33 2014	(r338868)
@@ -14,6 +14,9 @@ EXTRACT_ONLY=	#none
 
 MAINTAINER=	devel@stasyan.com
 
+DEPRECATED=	depends on expired cad/salome-kernel
+EXPIRATION_DATE=2014-01-22
+
 OPTIONS_DEFINE=	GEOM MED SMESH NETGENPLUGIN VISU LIGHT YACS MULTIPR RANDOMIZER SIERPINSKY
 OPTIONS_DEFAULT= GEOM MED SMESH NETGENPLUGIN VISU LIGHT YACS MULTIPR RANDOMIZER SIERPINSKY
 GEOM_DESC=		GEOM module
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Rene Ladan freebsd_committer 2014-01-06 12:21:44 UTC
State Changed
From-To: feedback->closed

Committed, timeout